#ifndef _UTILS_H
#define _UTILS_H

#ifdef __LINUX

#endif


#define DEL(pointer)      if(pointer) { delete pointer; pointer = NULL; }
#define DEL_ARR(pointer)  if(pointer) { delete [] pointer; pointer = NULL; }


#ifndef Max
  #define Max(a,b)        (((a) > (b)) ? (a) : (b))
#endif

#ifndef Min
  #define Min(a,b)        (((a) < (b)) ? (a) : (b))
#endif

// string comparison functions
extern bool strEq (const char *l, const char *r);  //  ==
extern bool strNe (const char *l, const char *r);  //  != 
extern bool strLt (const char *l, const char *r);  //  <
extern bool strLe (const char *l, const char *r);  //  <=
extern bool strGt (const char *l, const char *r);  //  >
extern bool strGe (const char *l, const char *r);  //  >=

char *strDup (const char *str);

extern void copyString (char * &target, const char *source);
extern void copyString (char * &target, const char *source, int len);

extern void getMacAddress (char *buf);
extern int getOSId();

extern void trim(char *str);

#endif
