/** \file OTDef.h
*   \brief Definition of helper macros.
*
*   Copyright (C) 2004 Opentick corporation. All rights reserved.
*/

#ifndef _OT_DEF_H
#define _OT_DEF_H

#include <vector>

// win32
#ifdef __WIN32

  #ifdef  ORT
    #define    __declspec(dllexport)
  #endif

  #ifdef DLL_IMPORT
    #define    __declspec(dllimport)
  #endif

  #ifdef DLL_NONE
    #define    
  #endif

  #define THREAD_FUNC_RETVAL  DWORD

  #define SLEEP(x)  Sleep(x);

#endif


// linux
#ifdef __LINUX
  #define  
  #define THREAD_FUNC_RETVAL void*
  #define SLEEP(x)  usleep((x) * 1000);
  #define __int64 long long
#endif


#endif
